Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class PanelMenuRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.PanelMenuRendererBase
                      org.richfaces.renderkit.html.PanelMenuRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  HtmlPanelMenuRenderer

    public class PanelMenuRenderer

extends PanelMenuRendererBase

Field Summary

Fields inherited from class org.richfaces.renderkit.PanelMenuRendererBase
`DEFAULT_ICON, PANEL_MENU_SPACER_ICON_NAME`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`PanelMenuRenderer()`

Method Summary
`protected void` | `addAjaxFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent child, java.lang.StringBuffer buffer)`
`protected void` | `addOnItemHover(java.lang.String menuOnItemHover, javax.faces.component.UIComponent child, java.lang.StringBuffer buffer)`
`void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.util.List` | `encodeParams(javax.faces.context.FacesContext context, UIPanelMenuItem component)`
`void` | `flatten(java.util.List children, java.util.List flatList, java.util.Map levels, int initialLevel)`
`protected java.lang.Class` | `getComponentClass()`
`protected java.lang.String` | `getName(javax.faces.component.UIComponent component)`
`java.lang.String` | `getSelectedItemInputValue(javax.faces.context.FacesContext context, UIPanelMenu panelMenu)`
`void` | `insertScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `preEncodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.PanelMenuRendererBase
`calculateLevel, drawIcon, findMenu, getHideStyle, getIconByType, getItemMode, getSelectedClass, insertLabel, insertSpacerImages, isChildrenExpanded, isParentDisabled, isSubmitted, isTopLevel, queryAndMarkSelection`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelMenuRenderer

    public PanelMenuRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeParams

    public java.util.List encodeParams(javax.faces.context.FacesContext context,
                                       UIPanelMenuItem component)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### preEncodeBegin

    protected void preEncodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Overrides:
    `preEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### insertScript

    public void insertScript(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### flatten

    public void flatten(java.util.List children,
                        java.util.List flatList,
                        java.util.Map levels,
                        int initialLevel)

### addAjaxFunction

    protected void addAjaxFunction(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent child,
                                   java.lang.StringBuffer buffer)

### addOnItemHover

    protected void addOnItemHover(java.lang.String menuOnItemHover,
                                  javax.faces.component.UIComponent child,
                                  java.lang.StringBuffer buffer)

### renderChildren

    public void renderChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `renderChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doDecode

    public void doDecode(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### getName

    protected java.lang.String getName(javax.faces.component.UIComponent component)

  Specified by:
    `getName` in class `PanelMenuRendererBase`

### getSelectedItemInputValue

    public java.lang.String getSelectedItemInputValue(javax.faces.context.FacesContext context,
                                                      UIPanelMenu panelMenu)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.